/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.leaveapply.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.leavetype.entity.LeaveType;

import java.util.Date;

/**
 * 请假申请Entity
 * @author ssrh
 * @version 2018-09-10
 */
public class LeaveDetail extends DataEntity<LeaveDetail> {
	
	private static final long serialVersionUID = 1L;
	private String leaveId;		// 请假id
	private String days;		// 请假天数
	private String flat;		// 1请假2续假
	private String leaveTypeId;		// 请假类型
	private String counts;		//累计次数
	private String sumDays;	// 累计天数
	private Date startTime;		// 开始时间
	private Date endTime;		// 结束时间
	private String startType;		// 开始类型
	private String endType;		// 结束类型
	private String state;		// 审核是否通过0通过1审批中
	private Date realEndTime;		// 实际结束时间
	private String isUse;//是否有效
	private String realEndType;//实际结束
	private String realDays;//实际请假时长
	private LeaveType leaveType;		// 请假类型
	public String getRealDays() {
		return realDays;
	}

	public void setRealDays(String realDays) {
		this.realDays = realDays;
	}

	public String getRealEndType() {

		return realEndType;
	}

	public void setRealEndType(String realEndType) {
		this.realEndType = realEndType;
	}

	public Date getRealEndTime() {

		return realEndTime;
	}

	public void setRealEndTime(Date realEndTime) {
		this.realEndTime = realEndTime;
	}

	public String getIsUse() {
		return isUse;
	}

	public void setIsUse(String isUse) {
		this.isUse = isUse;
	}


	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public String getStartType() {
		return startType;
	}

	public void setStartType(String startType) {
		this.startType = startType;
	}

	public String getEndType() {
		return endType;
	}

	public void setEndType(String endType) {
		this.endType = endType;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	private String name;
	public String getCounts() {
		return counts;
	}

	public void setCounts(String counts) {
		this.counts = counts;
	}

	public String getSumDays() {
		return sumDays;
	}

	public void setSumDays(String sumDays) {
		this.sumDays = sumDays;
	}

	public LeaveType getLeaveType() {

		return leaveType;
	}

	public void setLeaveType(LeaveType leaveType) {
		this.leaveType = leaveType;
	}

	public LeaveDetail() {
		super();
	}

	public LeaveDetail(String id){
		super(id);
	}

	@ExcelField(title="请假id", align=2, sort=7)
	public String getLeaveId() {
		return leaveId;
	}

	public void setLeaveId(String leaveId) {
		this.leaveId = leaveId;
	}
	
	@ExcelField(title="请假天数", align=2, sort=8)
	public String getDays() {
		return days;
	}

	public void setDays(String days) {
		this.days = days;
	}
	
	@ExcelField(title="1请假2续假", align=2, sort=9)
	public String getFlat() {
		return flat;
	}

	public void setFlat(String flat) {
		this.flat = flat;
	}
	
	@ExcelField(title="请假类型", align=2, sort=10)
	public String getLeaveTypeId() {
		return leaveTypeId;
	}

	public void setLeaveTypeId(String leaveTypeId) {
		this.leaveTypeId = leaveTypeId;
	}
	
}